Subject: [quicwg/base-drafts] Default values in IANA (#2974)

From: Mike Bishop <[email-masked]>
Date: Fri, 16 Aug 2019 10:58:55 -0700

Fixes #2442.
You can view, comment on, or merge this pull request online at:

  https://github.com/quicwg/base-drafts/pull/2974

-- Commit Summary --

  * IANA defaults
  * Defaults in QPACK IANA

-- File Changes --

    M draft-ietf-quic-http.md (24)
    M draft-ietf-quic-qpack.md (12)

-- Patch Links --

https://github.com/quicwg/base-drafts/pull/2974.patch
https://github.com/quicwg/base-drafts/pull/2974.diff

-- 
You are receiving this because you are subscribed to this thread.
Reply to this email directly or view it on GitHub:
https://github.com/quicwg/base-drafts/pull/2974

---

From: Lucas Pardue <[email-masked]>
Date: Fri, 16 Aug 2019 11:13:02 -0700

LPardue requested changes on this pull request.

Thanks for the change. It's interesting that you chose the column header "Default" while RFC 7540 uses "Initial Value". 

Amusingly, I had a recent discussion on such terminology when trying to craft a new HTTP/2 setting. My preference in that discussion was to use the term initial value because of alignment with the spec. 

> -| ---------------------------- | :----: | ------------------------- |
-| Reserved                     |  0x2   | N/A                       |
-| Reserved                     |  0x3   | N/A                       |
-| Reserved                     |  0x4   | N/A                       |
-| Reserved                     |  0x5   | N/A                       |
-| MAX_HEADER_LIST_SIZE         |  0x6   | {{settings-parameters}}   |
-| NUM_PLACEHOLDERS             |  0x9   | {{settings-parameters}}   |
-| ---------------------------- | ------ | ------------------------- |
+| ---------------------------- | ------ | ------------------------- | ------- |
+| Setting Name                 |  Code  | Specification             | Default |
+| ---------------------------- | :----: | ------------------------- | ------- |
+| Reserved                     |  0x2   | N/A                       | N/A     |
+| Reserved                     |  0x3   | N/A                       | N/A     |
+| Reserved                     |  0x4   | N/A                       | N/A     |
+| Reserved                     |  0x5   | N/A                       | N/A     |
+| MAX_HEADER_LIST_SIZE         |  0x6   | {{settings-parameters}}   | 0       |

This is value is defined elsewhere to be unlimited, RFC 7540 used (infinite) but I'm not fussy.

-- 
You are receiving this because you are subscribed to this thread.
Reply to this email directly or view it on GitHub:
https://github.com/quicwg/base-drafts/pull/2974#pullrequestreview-276093636

---

From: ianswett <[email-masked]>
Date: Fri, 16 Aug 2019 12:21:14 -0700

ianswett commented on this pull request.

If you want to make SETTINGS REALLY required, making this default to 0 would certainly do it :)

-- 
You are receiving this because you are subscribed to this thread.
Reply to this email directly or view it on GitHub:
https://github.com/quicwg/base-drafts/pull/2974#discussion_r314858344

---

From: Alessandro Ghedini <[email-masked]>
Date: Sun, 18 Aug 2019 05:12:58 -0700

ghedo commented on this pull request.

Well, not really as endpoints are allowed to ignore this value :)

But yeah https://quicwg.org/base-drafts/draft-ietf-quic-http.html#rfc.section.7.2.5.1 says the default value is unlimited, so this should be aligned to that (though I'd much rather remove this setting completely as it serves no purpose...).

-- 
You are receiving this because you are subscribed to this thread.
Reply to this email directly or view it on GitHub:
https://github.com/quicwg/base-drafts/pull/2974#discussion_r314982631

---

From: Mike Bishop <[email-masked]>
Date: Mon, 19 Aug 2019 08:22:48 -0700

MikeBishop commented on this pull request.

Bah, yes.  I was just following "SHOULD be the most restrictive possible value" on autopilot, but this is an exception (because it's advisory).

-- 
You are receiving this because you are subscribed to this thread.
Reply to this email directly or view it on GitHub:
https://github.com/quicwg/base-drafts/pull/2974#discussion_r315270378

---

From: Mike Bishop <[email-masked]>
Date: Mon, 19 Aug 2019 08:25:10 -0700

@MikeBishop pushed 1 commit.

929753d0286865b23a79d1b5bf1a355333c5dbe9  Unlimited, not zero

-- 
You are receiving this because you are subscribed to this thread.
View it on GitHub:
https://github.com/quicwg/base-drafts/pull/2974/files/5821b61d32dc1f727eda317f8c8423229d815ecd..929753d0286865b23a79d1b5bf1a355333c5dbe9

---

From: Martin Thomson <[email-masked]>
Date: Mon, 19 Aug 2019 17:05:47 -0700

martinthomson commented on this pull request.

Would 2^62-1 be less offensive?

-- 
You are receiving this because you are subscribed to this thread.
Reply to this email directly or view it on GitHub:
https://github.com/quicwg/base-drafts/pull/2974#discussion_r315460757

---

From: Mike Bishop <[email-masked]>
Date: Wed, 21 Aug 2019 10:08:28 -0700

I went with "Default" because that and "Initial Value" now have specific, related (but distinct) usages in the context of pre-SETTINGS settings.  Swapping them seems like it would create unnecessary confusion.

-- 
You are receiving this because you are subscribed to this thread.
Reply to this email directly or view it on GitHub:
https://github.com/quicwg/base-drafts/pull/2974#issuecomment-523555649

---

From: Lucas Pardue <[email-masked]>
Date: Thu, 22 Aug 2019 08:04:47 -0700

Yeah that makes sense on a reread of section 7.2.5.2

-- 
You are receiving this because you are subscribed to this thread.
Reply to this email directly or view it on GitHub:
https://github.com/quicwg/base-drafts/pull/2974#issuecomment-523945633

---

From: Lucas Pardue <[email-masked]>
Date: Thu, 22 Aug 2019 08:05:05 -0700

LPardue approved this pull request.

-- 
You are receiving this because you are subscribed to this thread.
Reply to this email directly or view it on GitHub:
https://github.com/quicwg/base-drafts/pull/2974#pullrequestreview-278488121

---

From: Mike Bishop <[email-masked]>
Date: Tue, 27 Aug 2019 15:06:09 -0700

@MikeBishop pushed 3 commits.

6bff4fa92c05a666c83649315e9f4286fb26b866  IANA defaults
e14e23688bc8f02d122aed3470cec08772d66343  Defaults in QPACK IANA
1c6c271d46d4f5708dc258d2668e23b041bda0e8  Unlimited, not zero

-- 
You are receiving this because you are subscribed to this thread.
View it on GitHub:
https://github.com/quicwg/base-drafts/pull/2974/files/929753d0286865b23a79d1b5bf1a355333c5dbe9..1c6c271d46d4f5708dc258d2668e23b041bda0e8

---

From: Mike Bishop <[email-masked]>
Date: Tue, 27 Aug 2019 15:07:55 -0700

Merged #2974 into master.

-- 
You are receiving this because you are subscribed to this thread.
Reply to this email directly or view it on GitHub:
https://github.com/quicwg/base-drafts/pull/2974#event-2588637973